This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 480132 - (CVE-2009-0041) CVE-2009-0041 asterisk: Replies to failed login attempts differently based on whether the user account exists (information disclosure)
CVE-2009-0041 asterisk: Replies to failed login attempts differently based on...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.securityfocus.com/bid/33174
reported=20090114,public=20090108,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 05:17 EST by Jan Lieskovsky
Modified: 2009-10-27 14:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 14:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-01-15 05:17:31 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0041 to
the following vulnerability:

IAX2 in Asterisk Open Source 1.2.x before 1.2.31, 1.4.x before
1.4.23-rc4, and 1.6.x before 1.6.0.3-rc2; Business Edition A.x.x,
B.x.x before B.2.5.7, C.1.x.x before C.1.10.4, and C.2.x.x before
C.2.1.2.1; and s800i 1.2.x before 1.3.0 responds differently to a
failed login attempt depending on whether the user account exists,
which allows remote attackers to enumerate valid usernames.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0041
http://www.securityfocus.com/bid/33174
http://www.securityfocus.com/archive/1/archive/1/499884/100/0/threaded
http://www.securityfocus.com/bid/33174/solution

Patch against Asterisk 1.6:
http://downloads.digium.com/pub/security/AST-2009-001-1.6.0.diff
Comment 1 Jan Lieskovsky 2009-01-15 05:18:09 EST
This issue affects all versions of the Asterisk package, as shipped
with Fedora releases of 9, 10 and devel.

Please fix.
Comment 2 Tomas Hoger 2009-01-15 05:31:28 EST
Updates to 1.6.0.3 are already built and pushed to testing:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2009-0536
  https://admin.fedoraproject.org/updates/F10/FEDORA-2009-0448
Comment 4 Tomas Hoger 2009-10-27 14:19:58 EDT
Fixed asterisk packages are now in all current Fedora versions.

Note You need to log in before you can comment on or make changes to this bug.